Subject: bug#40924: 27.0.91; default-directory launched via Dock MacOS

From: Tak Kunihiro <[email-masked]>
Date: Thu, 28 Jan 2021 19:02:47 +0900

>> When launched from Dock, on scratch buffer, default-directory is set to “~/“
>> and “/“ on 26.3 and 27.0.91, respectively.  I checked environmental variables
>> on 26.3 and 27.0.91 as shown below.  There is no difference, as expected.
> 
> I tested this (with Emacs 28) on Big Sur, and was unable to reproduce
> it.  I vaguely seem to remember discussion about this some months ago,
> so I'm going to go ahead and guess that it really has been fixed, and
> I'm closing this bug report.

I also confirmed that it is fixed on 28.0.50 running on macOS Catalina.